diff mbox series

raspberrypi3: post-image.sh update 64-bit option

Message ID C163C8A5-70D5-4EE3-8177-4296770198D5@jtang.org
State Accepted
Headers show
Series raspberrypi3: post-image.sh update 64-bit option | expand

Commit Message

J. Tang June 30, 2018, 7:14 p.m. UTC
As per latest Raspberry Pi firmware documentation, the option
'arm_control' has been deprecated in favor of 'arm_64bit'.

Fixes #11111.

Signed-off-by: Jason Tang <tang@jtang.org>
---
 board/raspberrypi/post-image.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comments

Thomas Petazzoni June 30, 2018, 8:07 p.m. UTC | #1
Hello,

On Sat, 30 Jun 2018 15:14:25 -0400, J. Tang wrote:
> As per latest Raspberry Pi firmware documentation, the option
> 'arm_control' has been deprecated in favor of 'arm_64bit'.
> 
> Fixes #11111.
> 
> Signed-off-by: Jason Tang <tang@jtang.org>
> ---
>  board/raspberrypi/post-image.sh | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)

Applied to master, thanks.

Thomas
diff mbox series

Patch

diff --git a/board/raspberrypi/post-image.sh b/board/raspberrypi/post-image.sh
index 3c6c938407..70447cd48b 100755
--- a/board/raspberrypi/post-image.sh
+++ b/board/raspberrypi/post-image.sh
@@ -23,11 +23,11 @@  __EOF__
 		--aarch64)
 		# Run a 64bits kernel (armv8)
 		sed -e '/^kernel=/s,=.*,=Image,' -i "${BINARIES_DIR}/rpi-firmware/config.txt"
-		if ! grep -qE '^arm_control=0x200' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
+		if ! grep -qE '^arm_64bit=1' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
 			cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
 
 # enable 64bits support
-arm_control=0x200
+arm_64bit=1
 __EOF__
 		fi